#
# spec file for package wvkbd
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wvkbd
Version:        0.17
Release:        1.1
Summary:        Wayland on-screen keyboard
License:        GPL-3.0-only
URL:            https://github.com/jjsullivan5196/wvkbd
Source:         https://github.com/jjsullivan5196/wvkbd/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  cairo-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  pango-devel
BuildRequires:  scdoc
BuildRequires:  wayland-devel

%description
Wayland on-screen keyboard.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%license COPYING
%doc README.md
%{_bindir}/wvkbd-mobintl
%{_mandir}/man1/wvkbd.1%{?ext_man}

%changelog
* Mon Jun 23 2025 Michael Vetter <mvetter@suse.com>
- Update to 0.17:
  * Drawing performance improvements:
    + Implemented double buffering
    + Tie the daamge tracking to the drawing methods
  * Added missing cyrillic letter from the Ukrainian alphabet
  * Namespace change, now properly identifies as "wvkbd"
* Thu Nov 28 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.16:
  * Use overlay mode so keyboard is visible over full-screen windows
  * Fixes for capslock display
  * Documentation update
  * Fixes for visual delay on startup.
    + Skip the first resize when landscaped while starting.
    + Fix the initial output geometry guessing
  * Restore Cairo also when rounding. This fixes some visual glitches.
  * Accommodate cross-build pkg-config
  * Make all modifiers except capslock one-shot and redraw keyboard when capslock is pressed
* Tue Jun 11 2024 Michael Vetter <mvetter@suse.com>
- Initial package of wvkbd 0.15 for openSUSE
